<%@ page import="com.atlassian.crowd.integration.Constants"%>
<%@ taglib uri="sitemesh-decorator" prefix="decorator" %>
<%@ taglib uri="webwork" prefix="ww" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>

    <decorator:usePage id="sitemeshPage" />

    <title>Atlassian Crowd - <decorator:title /></title>

	<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
	<meta name="author" content="Atlassian" />
	<meta name="robots" content="all" />

	<meta name="MSSmartTagsPreventParsing" content="true" />
	<meta name="description" content="" />
	<meta name="keywords" content="" />
    
    <link rel="shortcut icon" href="<ww:url value="'/console/favicon.ico'"/>">

    <decorator:head />

	<style type="text/css" media="all">
        @import "<ww:url value="'/console/style/main.css'"/>";
        @import "<ww:url value="'/console/style/mike-temp.css'"/>";
    </style>

<%--
    <style type="text/css" media="all">
        @import "<ww:url value="'/console/style/style.css'"/>";
    </style>

	<script type="text/javascript" src="scripts/schedule.js"></script>
	<script type="text/javascript" src="scripts/dom_extras.js"></script>

	<script type="text/javascript" src="scripts/events.js"></script>
	<script type="text/javascript" src="scripts/string_library.js"></script>
	<script type="text/javascript" src="scripts/collapse.js"></script>
--%>
</head>

<body onload="<decorator:getProperty property="body.onload" />">

    <ul id="top">
        <li id="skipNav">
            <a href="#menu">Skip to navigation</a>
        </li>
        <li>
            <a href="#content">Skip to content</a>
        </li>
    </ul>
	<div id="nonFooter">

    <ww:action name="'BaseAction'">

        <div id="header">
			<div id="logo">
                <a href="<ww:url value="'/console/'"/>"><img alt="Crowd" src="<ww:url value="'/console/images/logo.gif'"/>" height="36" width="118" /></a>
			</div>

            <ul id="userOptions">
                <ww:if test="authenticated == true">
				<li id="userInfo">
					User: <strong><ww:property value="principalName" /></strong>
				</li>

				<li id="profileLink">
					<a href="<ww:url page="/console/Logoff.jspa" />"><ww:property value="text('menu.logout.label')"/></a>
				</li>
                </ww:if>
				<li id="help">
					<a href="<%=Constants.DOCUMENTATION_URL%>"><ww:property value="text('menu.documentation.label')"/></a>
				</li>
			</ul>
        </div> <!-- END #header -->
		<div id="menu">
            <%--
            <form action="">
				<fieldset>
					<label for="search">
						Quick Search:
					</label>

					<input id="search" name="search" class="text" type="text" />
				</fieldset>
			</form>
			--%>
			<ul>
                <li <% if ("home".equals(sitemeshPage.getProperty("meta.section"))) { %>class="on"<% } %>>
					<a href="<ww:url page="/console/secure/Console.jspa"/>">
                        <ww:property value="text('menu.home.label')"/></a>
                </li>
                <ww:if test="authenticated == true ">

                <li <% if ("applications".equals(sitemeshPage.getProperty("meta.section"))) { %>class="on"<% } %>>
                    <a href="<ww:url page="/console/secure/appliation/application.BrowseApplications.jspa"/>">
                        <ww:property value="text('menu.application.label')"/></a>
                </li>
                <li <% if ("principals".equals(sitemeshPage.getProperty("meta.section"))) { %>class="on"<% } %>>
                    <a href="<ww:url page="/console/secure/principal/principal.BrowsePrincipals.jspa"/>">
                        <ww:property value="text('menu.principal.label')"/></a>
                </li>
                <li <% if ("groups".equals(sitemeshPage.getProperty("meta.section"))) { %>class="on"<% } %>>
                    <a href="<ww:url page="/console/secure/group/group.BrowseGroups.jspa"/>">
                        <ww:property value="text('menu.group.label')"/></a>
                </li>
                <li <% if ("roles".equals(sitemeshPage.getProperty("meta.section"))) { %>class="on"<% } %>>
                    <a href="<ww:url page="/console/secure/role/role.BrowseRoles.jspa"/>">
                        <ww:property value="text('menu.role.label')"/></a>
                </li>
                <li <% if ("sessions".equals(sitemeshPage.getProperty("meta.section"))) { %>class="on"<% } %>>
                    <a href="<ww:url page="/console/secure/session/session.BrowsePrincipalSessions.jspa" />">
                    <ww:property value="text('menu.session.label')"/></a>
                </li>
                <li <% if ("directories".equals(sitemeshPage.getProperty("meta.section"))) { %>class="on"<% } %>>
                    <a href="<ww:url page="/console/secure/directory/directory.BrowseDirectories.jspa"/>">
                        <ww:property value="text('menu.directory.label')"/></a>
                </li>
                <li <% if ("options".equals(sitemeshPage.getProperty("meta.section"))) { %>class="on"<% } %>>
                    <a href="<ww:url page="/console/secure/options/options.View!default.jspa" />">
                    <ww:property value="text('menu.options.label')"/></a>
                </li>
                <li <% if ("systeminfo".equals(sitemeshPage.getProperty("meta.section"))) { %>class="on"<% } %>>
                    <a href="<ww:url page="/console/secure/options/options.SystemInfo.jspa" />">
                    <ww:property value="text('menu.info.label')"/></a>
                </li>
                </ww:if>
            </ul>
		</div> <!-- END #menu -->
        </ww:action>
		<div id="content">

            <div class="container">
                <decorator:body />
            </div>

        </div> <!-- END #content -->
    </div> <!-- END #nonFooter -->

    <div id="footer">
        <p>
            Powered by <a href="http://confluence.atlassian.com/display/CROWD">Atlassian Crowd</a> version <%= Constants.BUILD_VERSION %> (<%= Constants.BUILD_DATE %>)
        </p>
        <ul>
            <li class="first">
                <a href="http://jira.atlassian.com/browse/CWD">Report a bug</a>

            </li>
            <li>
                <a href="http://jira.atlassian.com/browse/CWD">Request a feature</a>
            </li>
            <li>
                <a href="http://www.atlassian.com/about/contact.jsp">Contact Atlassian</a>
            </li>
        </ul>
    </div> <!-- END #footer -->
</body>




</html>
