<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="webwork" prefix="ww" %>
<html>
    <head>
        <title><ww:property value="text('menu.viewdirectory.label')"/></title>
        <meta name="section" content="directories" />
    </head>
    <body onload="init();">

        <jsp:include page="../../decorator/javascript_tabs.jsp">
                <jsp:param name="totalTabs" value="3" />
        </jsp:include>

        <script language="javascript">

            function addAttribute() {
                var form = document.attributesForm;
                form.action = '<ww:url value="'/console/secure/directory/directory.UpdateCustom!addAttribute.jspa'" />';
                form.submit();
            }

        </script>

        <div class="content">

            <p class="headingInfo">
                <a href="<ww:url page="/console/secure/directory/directory.CreateDirectory!default.jspa" />"><ww:property value="text('menu.adddirectory.label')"/></a>
                &nbsp; | &nbsp;
                <a href="<ww:url page="/console/secure/dataimport/dataimport.UserAggregator!default.jspa" />?directoryID=<ww:property value="ID" />">
                    <ww:property value="text('menu.useraggregator.label')"/></a>
                &nbsp; | &nbsp;
                <a href="<ww:url page="/console/secure/directory/directory.RemoveDirectory!default.jspa" />?ID=<ww:property value="ID" />"><ww:property value="text('menu.removedirectory.label')"/></a>
            </p>

            <h2><ww:property value="text('menu.viewdirectory.label')"/>&nbsp;&ndash;&nbsp;<ww:property value="name"/></h2>

            <ul class="tabs">
                <li class="on" id="hreftab1">
                    <a href="javascript:processTabs(1);" >
                        <ww:property value="text('menu.details.label')"/>
                    </a>
                </li>

                <li id="hreftab2">
                    <a href="javascript:processTabs(2);" >
                        <ww:property value="text('menu.attributes.label')"/>
                    </a>
                </li>

                <li id="hreftab3">
                    <a href="javascript:processTabs(3);" >
                        <ww:property value="text('menu.permissions.label')"/>
                    </a>
                </li>

            </ul>

            <div class="tabcontent" id="tab1">

                <ww:if test="hasErrorMessages == true">
                    <ww:iterator value="errorMessages">
                        <p class="error">
                            <ww:property value="."/><br/>
                        </p>
                    </ww:iterator>
                </ww:if>

                <form method="post" action="<ww:url value="'/console/secure/directory/directory.UpdateCustom!updateGeneral.jspa'" />">

                    <input type="hidden" name="tab" value="1" />
                    <input type="hidden" name="ID" value="<ww:property value="ID" />" />

                    <ww:textfield name="'name'" label="text('directoryinternal.name.label')" size="50">
                        <ww:param name="'description'"><ww:property value="text('directoryinternal.name.description')"/></ww:param>
                    </ww:textfield>

                    <ww:textfield name="'description'" label="text('directoryinternal.description.label')" size="50">
                        <ww:param name="'description'"><ww:property value="text('directoryinternal.description.description')"/></ww:param>
                    </ww:textfield>

                    <div class="row">
                        <label for="'<ww:property value="text('directory.type.label')"/>'"><ww:property value="text('directory.type.label')"/>:</label>

                        <span class="value"><ww:property value="directory/implementation/directoryType" /></span>
                    </div>

                    <ww:checkbox name="'active'" label="text('directory.active.label')" fieldValue="true">
                    </ww:checkbox>

                    <div class="row">
                        <label for="'<ww:property value="text('directorycustom.implementationclass.label')"/>'"><ww:property value="text('directorycustom.implementationclass.label')"/>:</label>

                        <span class="value"><ww:property value="directory/implementationClass" /></span>
                    </div>

                    <div class="row">
                        <p style="text-align: right;">
                            <input type="submit" class="button" value="<ww:property value="text('update.label')"/> &raquo;"/>
                            <input type="button" class="button" value="<ww:property value="text('cancel.label')"/>" onClick="window.location='<ww:url value="'/console/secure/directory/directory.ViewInternal!default.jspa?'" />ID=<ww:property value="ID" />&tab=1';"/>
                        </p>
                    </div>

                </form>
            </div>

            <div class="tabcontent" id="tab2">

                <ww:if test="hasErrorMessages == true">
                    <ww:iterator value="errorMessages">
                        <p class="error">
                            <ww:property value="."/><br/>
                        </p>
                    </ww:iterator>
                </ww:if>

                <form method="post" action="<ww:url value="'/console/secure/directory/directory.UpdateCustom!updateAttributes.jspa'" />" name="attributesForm">

                    <input type="hidden" name="tab" value="2" />
                    <input type="hidden" name="ID" value="<ww:property value="ID" />" />

                    <table id="attributesTable">
                        <tr>
                            <th width="40%"><ww:property value="text('attribute.label')" /></th>
                            <th width="40%"><ww:property value="text('values.label')" /></th>
                            <th width="20%"><ww:property value="text('browser.action.label')" /></th>
                        </tr>

                        <ww:iterator value="directory/attributes" status="'rowstatus'">

                            <input type="hidden" name="attributes" value="<ww:property value="key" />" />

                            <ww:if test="@rowstatus/odd == true"><tr class="odd"></ww:if>
                            <ww:else><tr class="even"></ww:else>
                                <td><ww:property value="key" /></td>
                                <td>
                                    <ww:iterator value="value/values" status="'valuestatus'">
                                        <input type="text" name="<ww:property value="key" /><ww:property value="@valuestatus/count" />" value="<ww:property value="." />" size="30" /><br />
                                    </ww:iterator>
                                </td>
                                <td>
                                    <a href="<ww:url value="'/console/secure/directory/directory.UpdateCustom!removeAttribute.jspa'" />?attribute=<ww:property value="key" />&ID=<ww:property value="ID" />&tab=2" title="<ww:property value="text('remove.label')"/>"><ww:property value="text('remove.label')"/></a>
                                </td>
                            </tr>

                        </ww:iterator>
                    </table>

                    <div class="row">
                        <p style="text-align: right;">
                            <ww:property value="text('attribute.label')"/>:&nbsp;<input type="text" name="attribute" size="15" value="<ww:property value="attribute" />" />&nbsp;
                            <ww:property value="text('value.label')"/>:&nbsp;<input type="text" name="value" size="15" value="<ww:property value="value" />" />&nbsp;
                            <input type="button" class="button" value="<ww:property value="text('add.label')"/> &raquo;" onClick="addAttribute();"/>
                            <input type="submit" class="button" value="<ww:property value="text('update.label')"/> &raquo;"/>
                            <input type="button" class="button" value="<ww:property value="text('cancel.label')"/>" onClick="window.location='<ww:url value="'/console/secure/directory/directory.UpdateCustom!default.jspa'" />?ID=<ww:property value="ID"/>&tab=2';"/>
                        </p>
                    </div>

                </form>
            </div>


            <div class="tabcontent" id="tab3">

                <ww:if test="hasErrorMessages == true">
                    <ww:iterator value="errorMessages">
                        <p class="error">
                            <ww:property value="."/><br/>
                        </p>
                    </ww:iterator>
                </ww:if>

                <form method="post" action="<ww:url value="'/console/secure/directory/directory.UpdateCustom!updatePermission.jspa'" />">

                    <input type="hidden" name="tab" value="3" />
                    <input type="hidden" name="ID" value="<ww:property value="ID" />" />

                    <ww:checkbox name="'permissionGroupAdd'" label="text('permission.addgroup.label')" fieldValue="true">
                        <ww:param name="'description'"><ww:property value="text('permission.addgroup.description')"/></ww:param>
                    </ww:checkbox>

                    <ww:checkbox name="'permissionPrincipalAdd'" label="text('permission.addprincipal.label')" fieldValue="true">
                        <ww:param name="'description'"><ww:property value="text('permission.addprincipal.description')"/></ww:param>
                    </ww:checkbox>

                    <ww:checkbox name="'permissionRoleAdd'" label="text('permission.addrole.label')" fieldValue="true">
                        <ww:param name="'description'"><ww:property value="text('permission.addrole.description')"/></ww:param>
                    </ww:checkbox>

                    <ww:checkbox name="'permissionGroupModify'" label="text('permission.modifygroup.label')" fieldValue="true">
                        <ww:param name="'description'"><ww:property value="text('permission.modifygroup.description')"/></ww:param>
                    </ww:checkbox>

                    <ww:checkbox name="'permissionPrincipalModify'" label="text('permission.modifyprincipal.label')" fieldValue="true">
                        <ww:param name="'description'"><ww:property value="text('permission.modifyprincipal.description')"/></ww:param>
                    </ww:checkbox>

                    <ww:checkbox name="'permissionRoleModify'" label="text('permission.modifyrole.label')" fieldValue="true">
                        <ww:param name="'description'"><ww:property value="text('permission.modifyrole.description')"/></ww:param>
                    </ww:checkbox>

                    <ww:checkbox name="'permissionGroupRemove'" label="text('permission.removegroup.label')" fieldValue="true">
                        <ww:param name="'description'"><ww:property value="text('permission.removegroup.description')"/></ww:param>
                    </ww:checkbox>

                    <ww:checkbox name="'permissionPrincipalRemove'" label="text('permission.removeprincipal.label')" fieldValue="true">
                        <ww:param name="'description'"><ww:property value="text('permission.removeprincipal.description')"/></ww:param>
                    </ww:checkbox>

                    <ww:checkbox name="'permissionRoleRemove'" label="text('permission.removerole.label')" fieldValue="true">
                        <ww:param name="'description'"><ww:property value="text('permission.removerole.description')"/></ww:param>
                    </ww:checkbox>

                    <div class="row">
                        <p style="text-align: right;">
                            <input type="submit" class="button" value="<ww:property value="text('update.label')"/> &raquo;"/>
                            <input type="button" class="button" value="<ww:property value="text('cancel.label')"/>" onClick="window.location='<ww:url value="'/console/secure/directory/directory.ViewInternal!default.jspa?'" />ID=<ww:property value="ID" />&tab=3';"/>
                        </p>
                    </div>

                </form>
            </div>

        </div>

    </body>
</html>