<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<%@ taglib uri="webwork" prefix="ww" %>
<html>
<head>
    <title>
    <ww:property value="text('options.title')"/></title>
    <meta name="section" content="options" /> 
</head>

    <body onload="init();">

        <jsp:include page="../../decorator/javascript_tabs.jsp">
                <jsp:param name="totalTabs" value="6" />
        </jsp:include>

            <h2><ww:property value="text('menu.options.label')"/></h2>

            <ul class="tabs">
				<li class="on" id="hreftab1">
                    <a href="javascript:processTabs(1);">
                        <ww:property value="text('options.caching.label')"/>
                    </a>
				</li>
				<li id="hreftab2">
                    <a href="javascript:processTabs(2);" >
                        <ww:property value="text('options.general.label')"/>
                    </a>
                </li>
                <li id="hreftab3">
                    <a href="javascript:processTabs(3);" >
                        <ww:property value="text('options.licesing.label')"/>
                    </a>
                </li>
                <li id="hreftab4">
                    <a href="javascript:processTabs(4);" >
                        <ww:property value="text('options.mailserver.label')"/>
                    </a>
                </li>
                <li id="hreftab5">
                    <a href="javascript:processTabs(5);" >
                        <ww:property value="text('options.mailtemplate.label')"/>
                    </a>
                </li>
                <li id="hreftab6">
                    <a href="javascript:processTabs(6);">
                        <ww:property value="text('options.session.label')"/>
                    </a>
                </li>
            </ul>

            <div class="tabcontent" id="tab1">

                <ww:if test="hasErrorMessages == true">
                    <ww:iterator value="errorMessages">
                        <p class="error">
                            <ww:property value="."/><br/>
                        </p>
                    </ww:iterator>
                </ww:if>

                <form method="post" action="<ww:url value="'/console/secure/options/options.UpdateCaching!update.jspa'" />" name="caching">

                    <input type="hidden" name="tab" value="1" />

                    <ww:checkbox name="'enabled'" label="text('caching.enabled.label')" fieldValue="true" >
                        <ww:param name="'description'"><ww:property value="text('caching.enabled.description')"/></ww:param>
                    </ww:checkbox>

                    <ww:textfield name="'time'" label="text('caching.time.label')" >
                        <ww:param name="'description'"><ww:property value="text('caching.time.description')"/></ww:param>
                    </ww:textfield>

                    <div class="row">
                        <p style="text-align: right;">
                            <input type="submit" class="button" value="<ww:property value="text('update.label')"/> &raquo;"/>
                            <input type="button" class="button" value="<ww:property value="text('cancel.label')"/>" onClick="window.location='<ww:url value="'/console/secure/options/options.View!default.jspa?tab=1'" />';"/>
                        </p>
                    </div>

                </form>
            </div>

            <div class="tabcontent" id="tab2">

                <ww:if test="hasErrorMessages == true">
                    <ww:iterator value="errorMessages">
                        <p class="error">
                            <ww:property value="."/><br/>
                        </p>
                    </ww:iterator>
                </ww:if>

                <form method="post" action="<ww:url value="'/console/secure/options/options.UpdateGeneral!update.jspa'" />" name="general">

                    <input type="hidden" name="tab" value="2" />

                    <ww:textfield label="text('options.title.label')" name="'title'" >
                        <ww:param name="'description'"><ww:property value="text('options.title.description')"/></ww:param>
                    </ww:textfield>

                    <ww:textfield label="text('options.domain.label')" name="'domain'" >
                        <ww:param name="'description'"><ww:property value="text('options.domain.description')"/></ww:param>
                    </ww:textfield>

                    <ww:textfield label="text('options.seed.label')" name="'seed'" >
                        <ww:param name="'description'"><ww:property value="text('options.seed.description')"/></ww:param>
                    </ww:textfield>

                    <div class="row">
                        <p style="text-align: right;">
                            <input type="button" class="button" value="<ww:property value="text('generate.label')"/>" onclick="document.general.action='<ww:url page="/console/secure/options.UpdateGeneral!generate.jspa" />';document.general.submit();" />
                            <input type="submit" class="button" value="<ww:property value="text('update.label')"/> &raquo;"/>
                            <input type="button" class="button" value="<ww:property value="text('cancel.label')"/>" onClick="window.location='<ww:url value="'/console/secure/options/options.View!default.jspa?tab=2'" />';"/>
                        </p>
                    </div>

                </form>

            </div>

            <div class="tabcontent" id="tab3">

                <ww:if test="hasErrorMessages == true">
                    <ww:iterator value="errorMessages">
                        <p class="error">
                            <ww:property value="."/><br/>
                        </p>
                    </ww:iterator>
                </ww:if>

                <div class="row">
                    <label for="'<ww:property value="text('license.organization.label')"/>'">
                        <ww:property value="text('license.organization.label')"/>:
                    </label>

                    <span class="value"><ww:property value="license/organization" /></span>
                </div>

                <div class="row">
                    <label for="'<ww:property value="text('license.email.label')"/>'">
                        <ww:property value="text('license.email.label')"/>:
                    </label>

                    <span class="value"><ww:property value="license/email" /></span>
                </div>

                <div class="row">
                    <label for="'<ww:property value="text('license.type.label')"/>'">
                        <ww:property value="text('license.type.label')"/>:
                    </label>

                    <span class="value"><ww:property value="license/licenseType" /></span>
                </div>

                <div class="row">
                    <label for="'<ww:property value="text('license.created.label')"/>'">
                        <ww:property value="text('license.created.label')"/>:
                    </label>

                   <ww:bean name="'webwork.util.DateFormatter'" id="generatedDateFormatter">
                        <ww:param name="'time'" value="license/generation"/>
                        <ww:param name="'format'" value="'EEEE, dd MMM yyyy'"/>
                    </ww:bean>

                    <span class="value"><ww:property value="@generatedDateFormatter/formattedDate" /></span>
                </div>

                <div class="row">
                    <label for="'<ww:property value="text('license.expiration.label')"/>'">
                        <ww:property value="text('license.expiration.label')"/>:
                    </label>

                    <span class="value">
                        <ww:if test="license/expiration == license/generation">
                            <ww:property value="text('license.noexpiration.label')"/>
                        </ww:if>
                        <ww:else>
                           <ww:bean name="'webwork.util.DateFormatter'" id="expirationdDateFormatter">
                                <ww:param name="'time'" value="license/expiration"/>
                                <ww:param name="'format'" value="'EEEE, dd MMM yyyy'"/>
                            </ww:bean>

                            <ww:property value="@expirationdDateFormatter/formattedDate" />
                        </ww:else>
                    </span>
                </div>

                <div class="row">
                    <label for="'<ww:property value="text('license.resourcelimit.label')"/>'">
                        <ww:property value="text('license.resourcelimit.label')"/>:
                    </label>

                    <span class="value">
                        <ww:if test="license/resourceLimit == 0" >
                            <ww:property value="text('license.unlimited.label')"/>
                        </ww:if>
                        <ww:else>
                            <ww:property value="license/resourceLimit" />
                        </ww:else>
                    </span>
                </div>

                <div class="row">
                    <label for="'<ww:property value="text('license.currentresources.label')"/>'">
                        <ww:property value="text('license.currentresources.label')"/>:
                    </label>

                    <span class="value"><ww:property value="currentResources" /></span>
                </div>

                <form method="post" action="<ww:url value="'/console/secure/options/options.UpdateLicensing!update.jspa'" />" name="licensing">

                    <input type="hidden" name="tab" value="3" />

                    <ww:textarea name="'key'" label="text('license.key.label')" rows="8" cols="45">
                        <ww:param name="'description'"><ww:property value="text('license.key.description')"/></ww:param>
                    </ww:textarea>

                    <div class="row">
                        <p style="text-align: right;">
                            <input type="submit" class="button" value="<ww:property value="text('update.label')"/> &raquo;"/>
                            <input type="button" class="button" value="<ww:property value="text('cancel.label')"/>" onClick="window.location='<ww:url value="'/console/secure/options/options.View!default.jspa?tab=3'" />';"/>
                        </p>
                    </div>

                </form>

            </div>

            <div class="tabcontent" id="tab4">

                <ww:if test="hasErrorMessages == true">
                    <ww:iterator value="errorMessages">
                        <p class="error">
                            <ww:property value="."/><br/>
                        </p>
                    </ww:iterator>
                </ww:if>

                <form method="post" action="<ww:url value="'/console/secure/options/options.UpdateMailServer!update.jspa'" />" name="mailserver">

                    <input type="hidden" name="tab" value="4" />

                    <ww:textfield name="'host'" label="text('mailserver.host.label')" size="50">
                        <ww:param name="'description'"><ww:property value="text('mailserver.host.description')"/></ww:param>
                    </ww:textfield>

                    <ww:textfield name="'from'" label="text('mailserver.from.label')" size="50">
                        <ww:param name="'description'"><ww:property value="text('mailserver.from.description')"/></ww:param>
                    </ww:textfield>

                    <ww:textfield name="'prefix'" label="text('mailserver.prefix.label')" size="50">
                        <ww:param name="'description'"><ww:property value="text('mailserver.prefix.description')"/></ww:param>
                    </ww:textfield>

                    <ww:textfield name="'username'" label="text('mailserver.username.label')" >
                        <ww:param name="'description'"><ww:property value="text('mailserver.username.description')"/></ww:param>
                    </ww:textfield>

                    <ww:password name="'password'" label="text('mailserver.password.label')" >
                        <ww:param name="'description'"><ww:property value="text('mailserver.password.description')"/></ww:param>
                    </ww:password>

                    <div class="row">
                        <p style="text-align: right;">
                            <input type="submit" class="button" value="<ww:property value="text('update.label')"/> &raquo;"/>
                            <input type="button" class="button" value="<ww:property value="text('cancel.label')"/>" onClick="window.location='<ww:url value="'/console/secure/options/options.View!default.jspa?tab=4'" />';"/>
                        </p>
                    </div>

                </form>

            </div>

            <div class="tabcontent" id="tab5">

                <ww:if test="hasErrorMessages == true">
                    <ww:iterator value="errorMessages">
                        <p class="error">
                            <ww:property value="."/><br/>
                        </p>
                    </ww:iterator>
                </ww:if>

                <form method="post" action="<ww:url value="'/console/secure/options/options.UpdateMailTemplate!update.jspa'" />" name="mailtemplate">

                    <input type="hidden" name="tab" value="5" />

                    <ww:textarea rows="10" cols="45" name="'template'" label="text('mailtemplate.template.label')" >
                        <ww:param name="'description'"><ww:property value="text('mailtemplate.template.description')"/></ww:param>
                    </ww:textarea>

                    <div class="row">
                        <p style="text-align: right;">
                            <input type="submit" class="button" value="<ww:property value="text('update.label')"/> &raquo;"/>
                            <input type="button" class="button" value="<ww:property value="text('cancel.label')"/>" onClick="window.location='<ww:url value="'/console/secure/options/options.View!default.jspa?tab=5'" />';"/>
                        </p>
                    </div>

                </form>
            </div>

            <div class="tabcontent" id="tab6">

                <ww:if test="hasErrorMessages == true">
                    <ww:iterator value="errorMessages">
                        <p class="error">
                            <ww:property value="."/><br/>
                        </p>
                    </ww:iterator>
                </ww:if>

                <form method="post" action="<ww:url value="'/console/secure/options/options.UpdateSession!update.jspa'" />" name="session">

                    <input type="hidden" name="tab" value="6" />

                    <ww:textfield name="'reaperTime'" label="text('session.reapertime.label')" >
                        <ww:param name="'description'"><ww:property value="text('session.reapertime.description')"/></ww:param>
                    </ww:textfield>

                    <ww:textfield name="'sessionTime'" label="text('session.sessiontime.label')" >
                        <ww:param name="'description'"><ww:property value="text('session.sessiontime.description')"/></ww:param>
                    </ww:textfield>

                    <div class="row">
                        <p style="text-align: right;">
                            <input type="submit" class="button" value="<ww:property value="text('update.label')"/> &raquo;"/>
                            <input type="button" class="button" value="<ww:property value="text('cancel.label')"/>" onClick="window.location='<ww:url value="'/console/secure/options/options.View!default.jspa?tab=6'" />';"/>
                        </p>
                    </div>

                </form>
            </div>

    </body>
</html>