<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="webwork" prefix="ww" %>
<html>
    <head>
        <title><ww:property value="text('session.principal.title')"/></title>
        <meta name="section" content="sessions" />
    </head>
    <body>
        <div class="content">

            <h2><ww:property value="text('menu.session.label')"/></h2>

            <ul class="tabs" style="margin-bottom: 15px;">
                <li>
                    <a href="<ww:url page="/console/secure/session/session.BrowseApplicationSessions.jspa" />">
                        <ww:property value="text('session.application.title')"/></a>
                </li>
                <li class="on">
                    <a href="<ww:url page="/console/secure/session/session.BrowsePrincipalSessions.jspa" />">
                        <ww:property value="text('session.principal.title')"/></a>
                </li>
            </ul>

            <ww:if test="hasErrorMessages == true">
                <ww:iterator value="errorMessages">
                    <p class="error">
                        <ww:property value="."/><br/>
                    </p>
                </ww:iterator>
            </ww:if>

            <form method="post" action="<ww:url page="/console/secure/session/session.BrowsePrincipalSessions.jspa" />">

                <p>
                    <ww:property value="text('browser.directory.label')"/>:&nbsp;
                    <select name="directoryID" style="width: 130px;">
                        <ww:iterator value="directories">
                            <option value="<ww:property value="ID" />" <ww:if test="../directoryID == ./ID">selected</ww:if>><ww:property value="./name" /></option>
                        </ww:iterator>
                    </select>

                    &nbsp;&nbsp;

                    <ww:property value="text('session.name.label')"/>:&nbsp;<input type="text" name="name" size="15" value="<ww:property value="name" />" />

                    &nbsp;&nbsp;

                    <ww:property value="text('browser.resultsperpage.label')"/>:
                    <select name="resultsPerPage" style="width: 50px;">
                        <option value="10" <ww:if test="resultsPerPage == 10">selected</ww:if>>10</option>
                        <option value="20" <ww:if test="resultsPerPage == 20">selected</ww:if>>20</option>
                        <option value="50" <ww:if test="resultsPerPage == 50">selected</ww:if>>50</option>
                        <option value="100" <ww:if test="resultsPerPage == 100">selected</ww:if>>100</option>
                    </select>
                </p>

                <p style="text-align: center;">
                    <input type="submit" class="button" value="<ww:property value="text('browser.filter.label')"/>" />
                    <input type="reset" class="button" value="<ww:property value="text('browser.resetfilter.label')"/>" onclick="location.href='<ww:url page="/console/secure/session/session.BrowsePrincipalSessions.jspa" />';" >
                </p>

            </form>

            <table>
                <tr>
                    <th width="18%"><ww:property value="text('principal.name.label')"/></th>
                    <th width="18%"><ww:property value="text('browser.directory.label')"/></th>
                    <th width="22%"><ww:property value="text('session.initialization.label')"/></th>
                    <th width="22%"><ww:property value="text('session.lastaccessed.label')"/></th>
                    <th width="20%"><ww:property value="text('browser.action.label')"/></th>
                </tr>

                <ww:iterator value="results" status="'rowstatus'">
                    <ww:if test="@rowstatus/count <= resultsPerPage">
                        <ww:if test="@rowstatus/odd == true"><tr class="odd"></ww:if>
                        <ww:else><tr class="even"></ww:else>
                            <td valign="top"><ww:property value="name" /></td>

                            <td valign="top"><ww:property value="../directory(directoryID)/name" /></td>

                            <td valign="top">
                                <ww:bean name="'webwork.util.DateFormatter'" id="initializationTime">
                                    <ww:param name="'time'" value="../session/initialization"/>
                                    <ww:param name="'format'" value="'M/dd/yyyy HH:mm:ss'"/>
                                </ww:bean>
                                <ww:property value="@initializationTime/formattedDate" />
                            </td>

                            <td valign="top">
                                <ww:bean name="'webwork.util.DateFormatter'" id="lastAccessed">
                                    <ww:param name="'time'" value="../session/lastAccessed"/>
                                    <ww:param name="'format'" value="'M/dd/yyyy HH:mm:ss'"/>
                                </ww:bean>
                                <ww:property value="@lastAccessed/formattedDate" />
                            </td>

                            <td valign="top">
                                <a href="<ww:url page="/console/secure/principal/principal.ViewPrincipal!default.jspa" />?name=<ww:property value="name" />&directoryID=<ww:property value="directoryID" />" title="<ww:property value="text('browser.view.label')"/>"><ww:property value="text('browser.view.label')"/></a>
                                |
                                <a href="<ww:url page="/console/secure/session/session.RemoveSession!removePrincipalSession.jspa" />?ID=<ww:property value="ID" />" title="<ww:property value="text('expire.label')"/>"><ww:property value="text('expire.label')"/></a>
                            </td>
                        </tr>
                    </ww:if>
                </ww:iterator>

            </table>

            <ww:if test="resultsStart != 0 || results/size > resultsPerPage">
                <table>
                    <tr>
                        <td align="left">
                            <ww:if test="resultsStart != 0">
                                <a href="javascript: document.previous.submit()">&laquo; <ww:property value="text('previous.label')"/></a>
                            </ww:if>
                        </td>
                        <td align="right">
                            <ww:if test="results/size > resultsPerPage">
                                <a href="javascript: document.next.submit()"><ww:property value="text('next.label')"/> &raquo;</a>
                            </ww:if>
                        </td>
                    </tr>
                </table>
            </ww:if>

            <form name="next" method="post" action="<ww:url page="/console/secure/principal/principal.BrowsePrincipals.jspa" />">
                <input type="hidden" name="ID" value="<ww:property value="ID" />" />
                <input type="hidden" name="directoryID" value="<ww:property value="directoryID" />" />
                <input type="hidden" name="name" value="<ww:property value="name" />" />
                <input type="hidden" name="resultsStart" value="<ww:property value="nextResultsStart" />" />
                <input type="hidden" name="resultsPerPage" value="<ww:property value="resultsPerPage" />" />
            </form>

            <form name="previous" method="post" action="<ww:url page="/console/secure/principal/principal.BrowsePrincipals.jspa" />">
                <input type="hidden" name="ID" value="<ww:property value="ID" />" />
                <input type="hidden" name="directoryID" value="<ww:property value="directoryID" />" />
                <input type="hidden" name="name" value="<ww:property value="name" />" />
                <input type="hidden" name="resultsStart" value="<ww:property value="previousResultsStart" />" />
                <input type="hidden" name="resultsPerPage" value="<ww:property value="resultsPerPage" />" />
            </form>

        </div>
    </body>
</html>