/*
 * Copyright (c) 2005 Authentisoft, LLC. All Rights Reserved.
 */
package com.atlassian.crowd.security.demo.action;

import com.atlassian.crowd.integration.http.HttpAuthenticator;
import com.atlassian.crowd.integration.soap.SOAPAttribute;
import org.apache.log4j.Logger;
import webwork.action.ActionSupport;
import webwork.action.CommandDriven;
import webwork.action.ServletActionContext;

import javax.servlet.http.HttpSession;

public class BaseAction extends ActionSupport implements CommandDriven {
    private static final Logger logger = Logger.getLogger(BaseAction.class);



    protected int tab = 1;

    public String doDefault() {
        logger.debug("doDefault - start");

        try {
            return SUCCESS;

        } finally {
            logger.debug("doDefault - end");
        }
    }

    public boolean isAuthenticated() {
        logger.debug("isAuthenticated - start");

        try {
            return HttpAuthenticator.isAuthenticated(ServletActionContext.getRequest(), ServletActionContext.getResponse());

        } catch (Exception e) {
            logger.info(e.getMessage(), e);

        } finally {
            logger.debug("isAuthenticated - start");
        }

        return false;
    }

    public SOAPAttribute buildAttribute(String key, String value) {
        logger.debug("buildAttribute - start");

        try {
            SOAPAttribute attribute = new SOAPAttribute();

            attribute.setName(key);
            attribute.setValues(new String[1]);
            attribute.getValues()[0] = value;

            return attribute;

        } finally {
            logger.debug("buildAttribute - end");
        }
    }

    public SOAPAttribute buildAttribute(String key, String[] values) {
        logger.debug("buildAttribute - start");

        try {
            SOAPAttribute attribute = new SOAPAttribute();

            attribute.setName(key);
            attribute.setValues(values);

            return attribute;

        } finally {
            logger.debug("buildAttribute - end");
        }
    }

    protected HttpSession getSession () {
        return ServletActionContext.getRequest().getSession();
    }

    public int getTab() {
        return tab;
    }

    public void setTab(int tab) {
        this.tab = tab;
    }
}