/*
 * Copyright (c) 2005 Authentisoft, LLC. All Rights Reserved.
 */
package com.atlassian.crowd.security.demo.action.role;

import com.atlassian.crowd.integration.service.soap.client.SecurityServerClient;
import com.atlassian.crowd.security.demo.action.BaseAction;
import org.apache.log4j.Logger;

public class RemoveRole extends BaseAction {
    private static final Logger logger = Logger.getLogger(RemoveRole.class);

    private String name;

    public String doDefault () {
        logger.debug("doDefault - start");

        try {
            // make sure the group exist, display errors if there is a problem
            SecurityServerClient.findRoleByName(name);

        } catch (Exception e) {
            addErrorMessage(e.getMessage());
            logger.debug(e.getMessage(), e);

        } finally {
            logger.debug("doDefault - end");
        }

        return SUCCESS;
    }

    public String doUpdate() {
        logger.debug("doUpdate - start");

        try {

            SecurityServerClient.removeRole(name);

            return SUCCESS;

        } catch (Exception e) {
            addErrorMessage(e.getMessage());
            logger.debug(e.getMessage(), e);

        } finally {
            logger.debug("doUpdate - end");
        }

        return INPUT;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

}
