<%@ taglib uri="sitemesh-decorator" prefix="decorator" %>
<%@ taglib uri="webwork" prefix="ww" %>

<ww:action name="'BaseAction'">

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
    <head>
        <title><ww:property value="text('application.title')"/> - <decorator:title/></title>

        <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
        <meta name="author" content="Authentisoft" />

        <decorator:head />

        <style type="text/css" media="all">
            @import "<ww:url value="'/style/style.css'"/>";
        </style>

    </head>

    <body onload="<decorator:getProperty property="body.onload" />">

        <div class="container" style="padding-top: 10px; padding-bottom: 10px;">

            <div class="header">

            <div class="gmenu">

                <div class="logo">
                    <a href="<ww:url value="'/console/'"/>">
                        <img alt="Authentisoft" src="<ww:url value="'/images/atlassian-crowd-logo.jpg'"/>" style="padding-top: 5px;"/>
                    </a>
                </div>

                <ww:if test="authenticated == true">

                    <div class="gmenu">
                        <p style="padding-top: 10px; padding-right: 5px">
                            <a href="<ww:url page="/secure/Console.jspa"/>">
                                <ww:property value="text('menu.console.label')"/></a>
                            &nbsp;&ndash;&nbsp;
                            <a href="<ww:url page="/Logoff.jspa" />">
                                <ww:property value="text('menu.logoff.label')"/></a>
                        </p>

                        <p style="padding-right: 5px;">
                            <a href="<ww:url page="/secure/group/group.BrowseGroups.jspa"/>">
                                <ww:property value="text('menu.group.label')"/></a>
                            &nbsp;&ndash;&nbsp;
                            <a href="<ww:url page="/secure/principal/principal.BrowsePrincipals.jspa"/>">
                                <ww:property value="text('menu.principal.label')"/></a>
                            &nbsp;&ndash;&nbsp;
                            <a href="<ww:url page="/secure/role/role.BrowseRoles.jspa"/>">
                                <ww:property value="text('menu.role.label')"/></a>
                        </p>
                    </div>

                </ww:if>

                <ww:else>
                    &nbsp;
                </ww:else>

            </div>

            </div>

        </div>

        <div class="container">

            <decorator:body />

        </div>


    </body>

</html>

</ww:action>    