<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="webwork" prefix="ww" %>
<html>
    <head>
        <title><ww:property value="text('menu.principal.label')"/>&nbsp;<ww:property value="text('browser.label')"/></title>
    </head>
    <body>
        <div class="content">

            <h2><ww:property value="text('menu.principal.label')"/>&nbsp;<ww:property value="text('browser.label')"/></h2>

            <div class="tmenu">
                <p>
                    <a href="<ww:url page="/secure/principal/principal.AddPrincipal!default.jspa" />"><ww:property value="text('menu.addprincipal.label')"/></a>
                </p>
            </div>

            <ww:if test="hasErrorMessages == true">
                <ww:iterator value="errorMessages">
                    <p class="error">
                        <ww:property value="."/><br/>
                    </p>
                </ww:iterator>
            </ww:if>

            <form method="post" action="<ww:url page="/secure/principal/principal.BrowsePrincipals.jspa" />">

                <p>
                    <ww:property value="text('principal.name.label')"/>:&nbsp;<input type="text" name="name" size="15" value="<ww:property value="name" />" />

                    &nbsp;&nbsp;

                    <ww:property value="text('principal.email.label')"/>:&nbsp;<input type="text" name="email" size="15" value="<ww:property value="email" />" />

                    &nbsp;&nbsp;

                    <ww:property value="text('principal.active.label')"/>:&nbsp;
                    <select name="active" style="width: 100px;">
                        <option value=""><ww:property value="text('none.label')"/></option>
                        <option value="true" <ww:if test="active == 'true'">selected</ww:if>><ww:property value="text('active.label')"/></option>
                        <option value="false" <ww:if test="active == 'false'">selected</ww:if>><ww:property value="text('inactive.label')"/></option>
                    </select>

                    <p/>

                    <ww:property value="text('browser.resultsperpage.label')"/>:
                    <select name="resultsPerPage" style="width: 50px;">
                        <option value="10" <ww:if test="resultsPerPage == 10">selected</ww:if>>10</option>
                        <option value="20" <ww:if test="resultsPerPage == 20">selected</ww:if>>20</option>
                        <option value="50" <ww:if test="resultsPerPage == 50">selected</ww:if>>50</option>
                        <option value="100" <ww:if test="resultsPerPage == 100">selected</ww:if>>100</option>
                    </select>
                </p>

                <p style="text-align: center;">
                    <input type="submit" class="button" value="<ww:property value="text('browser.filter.label')"/>" />
                    <input type="reset" class="button" value="<ww:property value="text('browser.resetfilter.label')"/>" onclick="location.href='<ww:url page="/secure/principal/principal.BrowsePrincipals.jspa" />';" >
                </p>

            </form>

            <table>
                <tr>
                    <th width="35%"><ww:property value="text('principal.name.label')"/></th>
                    <th width="55%"><ww:property value="text('principal.email.label')"/></th>
                    <th width="10%"><ww:property value="text('browser.action.label')"/></th>
                </tr>

                <ww:iterator value="results" status="'rowstatus'">
                    <ww:if test="@rowstatus/count <= resultsPerPage">
                        <ww:if test="@rowstatus/odd == true"><tr class="odd"></ww:if>
                        <ww:else><tr class="even"></ww:else>
                            <td valign="top"><ww:property value="name" /></td>
                            <td valign="top">
                                <ww:iterator value="attributes">
                                    <ww:if test="name == 'mail'">
                                        <ww:property value="values[0]" />
                                    </ww:if>
                                </ww:iterator>
                            </td>
                            <td valign="top"><a href="<ww:url page="/secure/principal/principal.ViewPrincipal!default.jspa" />?name=<ww:property value="name"/>"><ww:property value="text('browser.view.label')"/></a></td>
                        </tr>
                    </ww:if>
                </ww:iterator>

            </table>

            <ww:if test="resultsStart != 0 || results/size > resultsPerPage">
                <table>
                    <tr>
                        <td align="left">
                            <ww:if test="resultsStart != 0">
                                <a href="javascript: document.previous.submit()">&laquo; <ww:property value="text('previous.label')"/></a>
                            </ww:if>
                        </td>
                        <td align="right">
                            <ww:if test="results/size > resultsPerPage">
                                <a href="javascript: document.next.submit()"><ww:property value="text('next.label')"/> &raquo;</a>
                            </ww:if>
                        </td>
                    </tr>
                </table>
            </ww:if>

            <form name="next" method="post" action="<ww:url page="/secure/principal/principal.BrowsePrincipals.jspa" />">
                <input type="hidden" name="name" value="<ww:property value="name" />" />
                <input type="hidden" name="email" value="<ww:property value="email" />" />
                <input type="hidden" name="active" value="<ww:property value="active" />" />
                <input type="hidden" name="resultsStart" value="<ww:property value="nextResultsStart" />" />
                <input type="hidden" name="resultsPerPage" value="<ww:property value="resultsPerPage" />" />
            </form>

            <form name="previous" method="post" action="<ww:url page="/secure/principal/principal.BrowsePrincipals.jspa" />">
                <input type="hidden" name="name" value="<ww:property value="name" />" />
                <input type="hidden" name="email" value="<ww:property value="email" />" />
                <input type="hidden" name="active" value="<ww:property value="active" />" />
                <input type="hidden" name="resultsStart" value="<ww:property value="previousResultsStart" />" />
                <input type="hidden" name="resultsPerPage" value="<ww:property value="resultsPerPage" />" />
            </form>

        </div>
    </body>
</html>